Bug 467345 - use xdg-open instead of htmlview
use xdg-open instead of htmlview
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: icewm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 19:13 EDT by Patrice Dumas
Modified: 2009-01-21 07:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 07:29:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use xdg-open instead of htmlview (3.02 KB, patch)
2008-10-16 19:13 EDT, Patrice Dumas
no flags Details | Diff
Fixed patch (3.04 KB, patch)
2008-10-20 00:14 EDT, Gilboa Davara
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2008-10-16 19:13:24 EDT
Created attachment 320621 [details]
use xdg-open instead of htmlview

Description of problem:

xdg-open has some advantages over htmlview (and it will use htmlview as a 
fallback). I'll attach a patch, from Ville Skytta.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gilboa Davara 2008-10-17 01:58:56 EDT
ACK.
If you don't have the patch handy - no matter, I already did the procedure in gmrun.

- Gilboa
Comment 2 Patrice Dumas 2008-10-17 03:16:24 EDT
The patch is already attached...
Comment 3 Patrice Dumas 2008-10-19 07:47:17 EDT
I am not sure that I have commit rights, but if I have, can I rebuild
icewm with the change?
Comment 4 Gilboa Davara 2008-10-20 00:10:05 EDT
Sorry. Didn't see it.
Did you ask for commit rights?

As far as I remember, I already tried using xdg-utils instead of htmlview, but one major obstacle: xdg-open must be called with URL (unlike htmlview), and as far as I know, about:empty is not cross-browser safe.

Has it changed?

- Gilboa
Comment 5 Gilboa Davara 2008-10-20 00:14:45 EDT
Created attachment 320839 [details]
Fixed patch

(Missing about:blank)
Comment 6 Gilboa Davara 2008-10-20 00:37:10 EDT
P.S. Seems that icewm-1.2.36 was released a couple of days ago.
If indeed the "about:blank" is portable, it will push the fix together with the new version.

- Gilboa
Comment 7 Patrice Dumas 2008-10-20 05:48:45 EDT
I think that about:blank is portable enough. It work in fedora, konqueror, dillo, links, epiphany, galeon and midori. It doesn't work in lynx and w3m.

I am more concerned by about:blank being a real file. But seems portable
enough to me.
Comment 8 Bug Zapper 2008-11-25 22:56:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Patrice Dumas 2008-12-04 06:27:42 EST
Anything new here?

icewm is the last package to use htmlview, and I'd like to propose retiring htmlview once you switch.
Comment 10 Gilboa Davara 2008-12-05 01:46:26 EST
I'm trying to combine a couple of changes into a single package to reduce the number of releases.
I'll do my best to push the package within the next 7 days (or so).

- Gilboa
Comment 11 Gilboa Davara 2009-01-04 14:27:10 EST
I finally managed to solve all the problems I had with the semi-mega-patch.
I'll roll the updated package tomorrow morning.

- Gilboa
P.S. Patrice, sorry to see you leave. Thanks for the help (and the patience).

Note You need to log in before you can comment on or make changes to this bug.